[WPE] Update to use libwpe-1.0.0 and WPEBackend-fdo-1.0.0
authoraperez@igalia.com <aperez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 21 Aug 2018 14:25:44 +0000 (14:25 +0000)
committeraperez@igalia.com <aperez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 21 Aug 2018 14:25:44 +0000 (14:25 +0000)
https://bugs.webkit.org/show_bug.cgi?id=188782

Reviewed by Michael Catanzaro.

Make the build depend on wpe-0.2, and change the Flatpak and JHBuild development
environments to use version 1.0.0 of libwpe and WPEBackend-fdo.

.:

* Source/cmake/FindWPE.cmake: Renamed from Source/cmake/FindWPEBackend.cmake and changed
to check for libwpe-0.2.
* Source/cmake/OptionsWPE.cmake: Adapt to the rename to FindWPE.cmake.

Tools:

* flatpak/org.webkit.WPE.yaml: Update to use libwpe and WPEBackend-fdo version 1.0.0 from
release tarballs, and removed the (now unneeded) Lua and LuaJIT modules.
* wpe/jhbuild.modules: Ditto.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@235116 268f45cc-cd09-0410-ab3c-d52691b4dbfc

ChangeLog
Source/cmake/FindWPE.cmake [moved from Source/cmake/FindWPEBackend.cmake with 92% similarity]
Source/cmake/OptionsWPE.cmake
Tools/ChangeLog
Tools/flatpak/org.webkit.WPE.yaml
Tools/wpe/jhbuild.modules

index 3eecbe1..7f55031 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,17 @@
+2018-08-21  Adrian Perez de Castro  <aperez@igalia.com>
+
+        [WPE] Update to use libwpe-1.0.0 and WPEBackend-fdo-1.0.0
+        https://bugs.webkit.org/show_bug.cgi?id=188782
+
+        Reviewed by Michael Catanzaro.
+
+        Make the build depend on wpe-0.2, and change the Flatpak and JHBuild development
+        environments to use version 1.0.0 of libwpe and WPEBackend-fdo.
+
+        * Source/cmake/FindWPE.cmake: Renamed from Source/cmake/FindWPEBackend.cmake and changed
+        to check for libwpe-0.2.
+        * Source/cmake/OptionsWPE.cmake: Adapt to the rename to FindWPE.cmake.
+
 2018-08-18  Michael Catanzaro  <mcatanzaro@igalia.com>
 
         Adjust CMAKE_MODULE_LINKER_FLAGS for asan
similarity index 92%
rename from Source/cmake/FindWPEBackend.cmake
rename to Source/cmake/FindWPE.cmake
index adef136..cb395c8 100644 (file)
@@ -29,7 +29,7 @@
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 find_package(PkgConfig)
-pkg_check_modules(PC_WPE QUIET wpe-0.1)
+pkg_check_modules(PC_WPE QUIET wpe-0.2)
 
 find_path(WPE_INCLUDE_DIRS
     NAMES wpe/wpe.h
@@ -37,11 +37,11 @@ find_path(WPE_INCLUDE_DIRS
 )
 
 find_library(WPE_LIBRARIES
-    NAMES WPEBackend-0.1
+    NAMES wpe-0.2
     HINTS ${PC_WPE_LIBDIR} ${PC_WPE_LIBRARY_DIRS}
 )
 
 mark_as_advanced(WPE_INCLUDE_DIRS WPE_LIBRARIES)
 
 include(FindPackageHandleStandardArgs)
-find_package_handle_standard_args(WPEBackend REQUIRED_VARS WPE_INCLUDE_DIRS WPE_LIBRARIES)
+find_package_handle_standard_args(WPE REQUIRED_VARS WPE_INCLUDE_DIRS WPE_LIBRARIES)
index e87011d..e7e57cc 100644 (file)
@@ -84,7 +84,7 @@ find_package(PNG REQUIRED)
 find_package(Sqlite REQUIRED)
 find_package(Threads REQUIRED)
 find_package(WebP REQUIRED)
-find_package(WPEBackend REQUIRED)
+find_package(WPE REQUIRED)
 find_package(ZLIB REQUIRED)
 
 if (USE_WOFF2)
index f99a5f1..09ad72b 100644 (file)
@@ -1,3 +1,17 @@
+2018-08-21  Adrian Perez de Castro  <aperez@igalia.com>
+
+        [WPE] Update to use libwpe-1.0.0 and WPEBackend-fdo-1.0.0
+        https://bugs.webkit.org/show_bug.cgi?id=188782
+
+        Reviewed by Michael Catanzaro.
+
+        Make the build depend on wpe-0.2, and change the Flatpak and JHBuild development
+        environments to use version 1.0.0 of libwpe and WPEBackend-fdo.
+
+        * flatpak/org.webkit.WPE.yaml: Update to use libwpe and WPEBackend-fdo version 1.0.0 from
+        release tarballs, and removed the (now unneeded) Lua and LuaJIT modules.
+        * wpe/jhbuild.modules: Ditto.
+
 2018-08-21  Michael Catanzaro  <mcatanzaro@igalia.com>
 
         [Flatpak] Update to GNOME master runtime
index 2bed893..aa43687 100644 (file)
@@ -1,33 +1,15 @@
 - name: wpebackend
   buildsystem: cmake-ninja
   sources:
-    - type: git
-      url: https://github.com/WebPlatformForEmbedded/WPEBackend.git
-      branch: 45148ff5e802c6cd1d30d3c318ff6bb5bdf2c4aa
+    - type: archive
+      url: https://wpewebkit.org/releases/libwpe-1.0.0.tar.xz
+      sha256: aff11612123f9ab85a8b9a4bcdfb3a7503eba0a0d2d96f2cdecd30e911091719
 - name: wpebackend-fdo
   buildsystem: cmake-ninja
   sources:
-    - type: git
-      url: https://github.com/Igalia/WPEBackend-fdo.git
-      branch: fac3fe1ea78b6fc5b6005adfceb93eeb46681485
-- name: lua
-  buildsystem: simple
-  build-commands:
-    - make MYCFLAGS="$CFLAGS -fPIC -DLUA_COMPAT_5_2 -DLUA_COMPAT_5_1" linux
-    - make install INSTALL_TOP=/app INSTALL_MAN=/app/share/man/man1 INSTALL_DATA='cp -d'
-  sources:
-    - type: archive
-      url: https://www.lua.org/ftp/lua-5.3.4.tar.gz
-      sha1: 79790cfd40e09ba796b01a571d4d63b52b1cd950
-- name: luajit
-  buildsystem: simple
-  build-commands:
-    - make amalg PREFIX=/app
-    - make install PREFIX=/app
-  sources:
     - type: archive
-      url: https://luajit.org/download/LuaJIT-2.0.5.tar.gz
-      md5: 48353202cbcacab84ee41a5a70ea0a2c
+      url: https://wpewebkit.org/releases/wpebackend-fdo-1.0.0.tar.xz
+      sha256: 7a747f87a1ae46d30144369050e3ce348b58986d04e1a139ba75c198fa636729
 - name: webkitgtk-test-fonts
   no-autogen: true
   sources:
index 9562292..753db28 100644 (file)
@@ -18,7 +18,7 @@
       <dep package="harfbuzz"/>
       <dep package="webkit-gstreamer-testing-dependencies"/>
       <dep package="woff2"/>
-      <dep package="wpebackend"/>
+      <dep package="libwpe"/>
       <dep package="wpebackend-fdo"/>
       <dep package="libgpg-error"/>
       <dep package="libgcrypt"/>
@@ -46,6 +46,8 @@
       href="http://download.savannah.gnu.org/releases/"/>
   <repository type="tarball" name="gnupg.org"
       href="https://www.gnupg.org/ftp/gcrypt/"/>
+  <repository type="tarball" name="wpewebkit"
+      href="https://wpewebkit.org/releases/"/>
 
   <cmake id="brotli">
     <branch repo="github.com" module="google/brotli.git" checkoutdir="brotli" tag="v1.0.1"/>
             hash="sha1:c6f7b99986f93c9df78653c3e6a3b5043f65145e"/>
   </autotools>
 
-  <cmake id="wpebackend">
-    <branch repo="github.com" module="WebPlatformForEmbedded/WPEBackend.git"
-            tag="45148ff5e802c6cd1d30d3c318ff6bb5bdf2c4aa" />
+  <cmake id="libwpe">
+      <branch repo="wpewebkit" module="libwpe-1.0.0.tar.xz" version="1.0.0"
+              hash="sha256:aff11612123f9ab85a8b9a4bcdfb3a7503eba0a0d2d96f2cdecd30e911091719" />
   </cmake>
 
   <cmake id="wpebackend-fdo">
     <dependencies>
-      <dep package="wpebackend"/>
+      <dep package="libwpe"/>
       <dep package="glib"/>
     </dependencies>
-    <branch repo="github.com" module="Igalia/WPEBackend-fdo.git"
-            tag="fac3fe1ea78b6fc5b6005adfceb93eeb46681485"/>
+    <branch repo="wpewebkit" module="wpebackend-fdo-1.0.0.tar.xz" version="1.0.0"
+            hash="sha256:7a747f87a1ae46d30144369050e3ce348b58986d04e1a139ba75c198fa636729"/>
   </cmake>
 
   <autotools id="libgpg-error" autogen-sh="configure">